<html>
<head>
<title> CHECKLIST OBRA </title>
<link href="inclusos/css_precopratico.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php
error_reporting(0);
ini_set("display_errors", 0 );
header('Content-Type: text/html; charset=utf-8');
include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
include("../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página
$idobra = $_GET['idobra'];
$idorcamento = $_GET['idorcamento'];
$SelecionaObra = Seleciona("obras", "WHERE idobra='$idobra'", "LIMIT 0,1");
while($linha_obras = mysql_fetch_array($SelecionaObra)){
$idobra = $linha_obras['idobra']; 
$codmax = $linha_obras['codmax']; 
}
?>

<?php
$SelecionaComprasServico = Seleciona("compras_orcamentos_produtos", "WHERE idobra='$idobra' AND idorcamento_compras='$idorcamento'", "");
$contar = mysql_num_rows($SelecionaComprasServico);

for($i=0;$i<1;$i++){   
$html[$i] = "";
    $html[$i] .= "<table id='tblExport'>";

    $html[$i] .= '<tr bgcolor="#FFFF00">';
    $html[$i] .= "<td><b>SOLICITAÇÃO DE ORÇAMENTO : ".$idorcamento."</b></td>";
    $html[$i] .= "<td><b>Obra:</b></td>";
    $html[$i] .= "<td><b>".$codmax."</b></td>";	
    $html[$i] .= "</tr>";

    $html[$i] .= '<tr bgcolor="#CCCCCC">';
    $html[$i] .= "<td><b>Descrição</b></td>";
    $html[$i] .= "<td><b>Unidade</b></td>";
    $html[$i] .= "<td><b>Quantidade</b></td>";	
    $html[$i] .= "</tr>";
}

$i = 1;


while($ret = mysql_fetch_array($SelecionaComprasServico)){

$Quantidade = $ret['quantidade'];
$Id_ServicoObra = $ret['idservicoobra'];		 		

$SelecionaProdutosDetalhe = Seleciona("planilhadecompras", "WHERE idplanilha_compras='".$ret['idplanilha_compras']."'", "ORDER BY titulo ASC");
while($ProdutoDetalhe = mysql_fetch_array($SelecionaProdutosDetalhe)){	
$IdPlanilhaCompras = $ProdutoDetalhe['idplanilha_compras'];
$TipoProduto = $ProdutoDetalhe['tipo'];
$Fornecedor1 = $ProdutoDetalhe['fornecedor1'];
$Fornecedor2 = $ProdutoDetalhe['fornecedor2'];				
$TituloProduto = $ProdutoDetalhe['titulo'];
$Unidade = $ProdutoDetalhe['unidade'];		
$QuantidadeProduto = $ProdutoDetalhe['quantidade'];	
$Id_ServicoObra = $ProdutoDetalhe['idservicoobra'];				
} 


    $html[$i] .= "<tr>";
    $html[$i] .= "<td><b>".$TituloProduto."</b></td>";
    $html[$i] .= "<td><b>".$Unidade."</b></td>";
    $html[$i] .= "<td><b>".$Quantidade."</b></td>";	
    $html[$i] .= "</tr>";
    $i++;
	
	$TituloProduto = "";
	$Unidade = "";
	$Quantidade = "";
}
    $html[$i] .= "</table>";
for($i=0;$i<=$contar;$i++){  
    echo $html[$i];
}	

?>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.0/jquery.min.js"></script>
<script src="js/excel/jquery.btechco.excelexport.js" charset="utf8"></script>
<script src="js/excel/jquery.base64.js" charset="utf8"></script>
<script>
    $(document).ready(function () {
            $("#tblExport").btechco_excelexport({
                containerid: "tblExport"
               , datatype: $datatype.Table
               , filename: 'ORCAMENTO COMPRAS - <?php echo $codmax;?> - <?php echo $idorcamento;?> - <?php echo date('d-m-Y');?>'
            });
			window.close();
    });
</script>
</body>
</html>